## python-castellan 0.2.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6
Babel>=1.3
cryptography>=1.0 # Apache-2.0
oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.8.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0

=== debian/changelog ===
python-castellan (0.2.1-0ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Sep 2015 19:02:46 +0000

python-castellan (0.2.1-0ubuntu1) wily; urgency=medium

  [ Thomas Goirand ]
  * Initial release.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Sep 2015 15:50:43 +0100

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-barbicanclient (>= 3.3.0),
                     python-cryptography (>= 1.0),
                     python-hacking (>= 0.10),
                     python-oslo.config (>= 2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.log (>= 1.8.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python3-babel,
                     python3-barbicanclient (>= 3.3.0),
                     python3-cryptography (>= 1.0),
                     python3-oslo.config (>= 2.3.0),
                     python3-oslo.context (>= 0.2.0),
                     python3-oslo.log (>= 1.8.0),
                     python3-oslo.policy (>= 0.5.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 2.0.0),
                     python3-oslotest (>= 1.10.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-castellan.git
Vcs-Git: git://anonscm.debian.org/openstack/python-castellan.git
Homepage: http://www.openstack.org/

Package: python-castellan
Architecture: all
Depends: python-babel,
         python-cryptography (>= 1.0),
         python-oslo.config (>= 2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.log (>= 1.8.0),
         python-oslo.policy (>= 0.3.1),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 2.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 2.x module.

Package: python3-castellan
Architecture: all
Depends: python3-babel,
         python3-cryptography (>= 1.0),
         python3-oslo.config (>= 2.3.0),
         python3-oslo.context (>= 0.2.0),
         python3-oslo.log (>= 1.8.0),
         python3-oslo.policy (>= 0.3.1),
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 2.0.0),
         python3-pbr,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

Package: python-castellan-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/castellan.git
include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-castellan; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-castellan; \
	done
	rm -rf $(CURDIR)/debian/python*-castellan/usr/lib/python*/dist-packages/*.pth

	mkdir -p $(CURDIR)/debian/python-castellan/etc/castellan
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/python-castellan/etc/castellan/castellan.conf \
		--wrap-width 140 \
		--namespace castellan.config

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'castellan\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif


override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-castellan 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
cryptography>=1.0 # BSD/Apache-2.0
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0

=== debian/changelog ===
python-castellan (0.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 17:47:43 +0100

python-castellan (0.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Jan 2016 09:05:50 +0000

python-castellan (0.2.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 23:05:58 +0000

python-castellan (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #799622)

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 22:29:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: python-castellan
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-pbr (>= 1.6),
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-barbicanclient (>= 3.3.0),
                      python-cryptography (>= 1.0),
                      python-hacking (>= 0.10),
-                     python-oslo.config (>= 2.3.0),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.log (>= 1.8.0),
+                     python-oslo.log (>= 2.0.0),
                      python-oslo.policy (>= 0.5.0),
-                     python-oslo.serialization (>= 1.4.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-testscenarios,
@@ -31,34 +30,34 @@
                      python3-babel,
                      python3-barbicanclient (>= 3.3.0),
                      python3-cryptography (>= 1.0),
-                     python3-oslo.config (>= 2.3.0),
+                     python3-oslo.config (>= 1:3.7.0),
                      python3-oslo.context (>= 0.2.0),
-                     python3-oslo.log (>= 1.8.0),
+                     python3-oslo.log (>= 2.0.0),
                      python3-oslo.policy (>= 0.5.0),
-                     python3-oslo.serialization (>= 1.4.0),
-                     python3-oslo.utils (>= 2.0.0),
+                     python3-oslo.serialization (>= 2.0.0),
+                     python3-oslo.utils (>= 3.5.0),
                      python3-oslotest (>= 1.10.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-castellan.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-castellan.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-castellan.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-castellan.git
 Homepage: http://www.openstack.org/
 
 Package: python-castellan
 Architecture: all
 Depends: python-babel,
          python-cryptography (>= 1.0),
-         python-oslo.config (>= 2.3.0),
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.log (>= 1.8.0),
+         python-oslo.log (>= 2.0.0),
          python-oslo.policy (>= 0.3.1),
-         python-oslo.serialization (>= 1.4.0),
-         python-oslo.utils (>= 2.0.0),
-         python-pbr,
+         python-oslo.serialization (>= 2.0.0),
+         python-oslo.utils (>= 3.5.0),
+         python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-castellan-doc,
@@ -75,13 +74,13 @@
 Architecture: all
 Depends: python3-babel,
          python3-cryptography (>= 1.0),
-         python3-oslo.config (>= 2.3.0),
+         python3-oslo.config (>= 1:3.7.0),
          python3-oslo.context (>= 0.2.0),
-         python3-oslo.log (>= 1.8.0),
+         python3-oslo.log (>= 2.0.0),
          python3-oslo.policy (>= 0.3.1),
-         python3-oslo.serialization (>= 1.4.0),
-         python3-oslo.utils (>= 2.0.0),
-         python3-pbr,
+         python3-oslo.serialization (>= 2.0.0),
+         python3-oslo.utils (>= 3.5.0),
+         python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-castellan-doc,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'castellan\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		OS_TEST_PATH=castellan/tests/unit PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'castellan\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/castellan/tags .*/(\d[\d\.]+)\.tar\.gz

## python-castellan 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
python-barbicanclient>=4.0.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
keystoneauth1>=2.16.0 # Apache-2.0

=== debian/changelog ===
python-castellan (0.5.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Jan 2017 15:01:20 -0500

python-castellan (0.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:08:26 +0200

python-castellan (0.4.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Add a .gitreview file pointing to packaging-deb Gerrit.
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 21:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-castellan
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -13,50 +14,57 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-babel,
-                     python-barbicanclient (>= 3.3.0),
+Build-Depends-Indep: python-babel (>= 2.3.4),
+                     python-barbicanclient (>= 4.0.0),
                      python-cryptography (>= 1.0),
                      python-hacking (>= 0.10),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
-                     python-oslo.log (>= 2.0.0),
+                     python-keystoneauth1 (>= 2.16.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.i18n (>= 2.1.0),
+                     python-oslo.log (>= 3.11.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.5.0),
-                     python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslo.utils (>= 3.18.0),
+                     python-oslosphinx (>= 4.7.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     python3-babel,
-                     python3-barbicanclient (>= 3.3.0),
+                     python3-babel (>= 2.3.4),
+                     python3-barbicanclient (>= 4.0.0),
                      python3-cryptography (>= 1.0),
-                     python3-oslo.config (>= 1:3.7.0),
-                     python3-oslo.context (>= 0.2.0),
-                     python3-oslo.log (>= 2.0.0),
+                     python3-keystoneauth1 (>= 2.16.0),
+                     python3-oslo.config (>= 1:3.14.0),
+                     python3-oslo.context (>= 2.9.0),
+                     python3-oslo.i18n (>= 2.1.0),
+                     python3-oslo.log (>= 3.11.0),
                      python3-oslo.policy (>= 0.5.0),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.5.0),
-                     python3-oslotest (>= 1.10.0),
+                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslotest (>= 1:1.10.0),
                      python3-subunit,
                      python3-testscenarios,
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-castellan.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-castellan.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
 Homepage: http://www.openstack.org/
 
 Package: python-castellan
 Architecture: all
-Depends: python-babel,
+Depends: python-babel (>= 2.3.4),
+         python-barbicanclient (>= 4.0.0),
          python-cryptography (>= 1.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
-         python-oslo.log (>= 2.0.0),
+         python-keystoneauth1 (>= 2.16.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.i18n (>= 2.1.0),
+         python-oslo.log (>= 3.11.0),
          python-oslo.policy (>= 0.3.1),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.18.0),
          python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends},
@@ -72,14 +80,17 @@
 
 Package: python3-castellan
 Architecture: all
-Depends: python3-babel,
+Depends: python3-babel (>= 2.3.4),
+         python3-barbicanclient (>= 4.0.0),
          python3-cryptography (>= 1.0),
-         python3-oslo.config (>= 1:3.7.0),
-         python3-oslo.context (>= 0.2.0),
-         python3-oslo.log (>= 2.0.0),
+         python3-keystoneauth1 (>= 2.16.0),
+         python3-oslo.config (>= 1:3.14.0),
+         python3-oslo.context (>= 2.9.0),
+         python3-oslo.i18n (>= 2.1.0),
+         python3-oslo.log (>= 3.11.0),
          python3-oslo.policy (>= 0.3.1),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.18.0),
          python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends},

## python-castellan 0.12.0

=== debian/changelog ===
python-castellan (0.12.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Aug 2017 13:52:02 -0400

python-castellan (0.9.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Jun 2017 09:09:11 +0100

python-castellan (0.6.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 09:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -8,39 +8,40 @@
                dh-python,
                openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
 Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-barbicanclient (>= 4.0.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-hacking (>= 0.10),
-                     python-keystoneauth1 (>= 2.16.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
+                     python-keystoneauth1 (>= 2.21.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
+                     python-oslo.log (>= 3.22.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1:1.10.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python3-babel (>= 2.3.4),
                      python3-barbicanclient (>= 4.0.0),
-                     python3-cryptography (>= 1.0),
-                     python3-keystoneauth1 (>= 2.16.0),
-                     python3-oslo.config (>= 1:3.14.0),
-                     python3-oslo.context (>= 2.9.0),
+                     python3-cryptography (>= 1.6),
+                     python3-keystoneauth1 (>= 2.21.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-oslo.config (>= 1:4.0.0),
+                     python3-oslo.context (>= 2.14.0),
                      python3-oslo.i18n (>= 2.1.0),
-                     python3-oslo.log (>= 3.11.0),
+                     python3-oslo.log (>= 3.22.0),
                      python3-oslo.policy (>= 0.5.0),
                      python3-oslo.serialization (>= 2.0.0),
-                     python3-oslo.utils (>= 3.18.0),
+                     python3-oslo.utils (>= 3.20.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-subunit,
                      python3-testscenarios,
@@ -56,16 +57,16 @@
 Architecture: all
 Depends: python-babel (>= 2.3.4),
          python-barbicanclient (>= 4.0.0),
-         python-cryptography (>= 1.0),
-         python-keystoneauth1 (>= 2.16.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
+         python-cryptography (>= 1.6),
+         python-keystoneauth1 (>= 2.21.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
+         python-oslo.log (>= 3.22.0),
          python-oslo.policy (>= 0.3.1),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.18.0),
-         python-pbr (>= 1.8),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-castellan-doc,
@@ -82,16 +83,16 @@
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
          python3-barbicanclient (>= 4.0.0),
-         python3-cryptography (>= 1.0),
-         python3-keystoneauth1 (>= 2.16.0),
-         python3-oslo.config (>= 1:3.14.0),
-         python3-oslo.context (>= 2.9.0),
+         python3-cryptography (>= 1.6),
+         python3-keystoneauth1 (>= 2.21.0),
+         python3-oslo.config (>= 1:4.0.0),
+         python3-oslo.context (>= 2.14.0),
          python3-oslo.i18n (>= 2.1.0),
-         python3-oslo.log (>= 3.11.0),
+         python3-oslo.log (>= 3.22.0),
          python3-oslo.policy (>= 0.3.1),
          python3-oslo.serialization (>= 2.0.0),
-         python3-oslo.utils (>= 3.18.0),
-         python3-pbr (>= 1.8),
+         python3-oslo.utils (>= 3.20.0),
+         python3-pbr (>= 2.0.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-castellan-doc,

## python-castellan 0.17.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cryptography!=2.0,>=1.9 # BSD/Apache-2.0
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0

=== debian/changelog ===
python-castellan (0.17.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Jan 2018 12:15:01 -0500

python-castellan (0.16.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 09:06:41 -0500

python-castellan (0.14.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Dropped, no longer required.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 10:20:07 +0000

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cryptography (>= 1.9),
 python-hacking (>= 0.12.0),
 python-keystoneauth1 (>= 3.3.0),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.policy (>= 0.5.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:1.10.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.0.0),
 python3-cryptography (>= 1.9),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.3.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-castellan
Homepage: http://www.openstack.org/

Package: python-castellan
Architecture: all
Depends:
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.0.0),
 python-cryptography (>= 1.9),
 python-keystoneauth1 (>= 3.3.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.30.0),
 python-oslo.policy (>= 0.3.1),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 2.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 2.x module.

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.0.0),
 python3-cryptography (>= 1.9),
 python3-keystoneauth1 (>= 3.3.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.policy (>= 0.3.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/castellan.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

	mkdir -p $(CURDIR)/debian/python-castellan/etc/castellan
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/python-castellan/etc/castellan/castellan.conf \
		--wrap-width 140 \
		--namespace castellan.config

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'castellan\.tests\.unit.*'
endif


override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/castellan/ castellan-(\d.*)\.tar\.gz

## python-castellan 0.19.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
cryptography>=2.1 # BSD/Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0

=== debian/changelog ===
python-castellan (0.19.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Jan 2019 23:14:43 +0100

python-castellan (0.18.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Sep 2018 23:30:20 +0200

python-castellan (0.18.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Building sphinx doc with Python 3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Aug 2018 15:54:50 +0200

python-castellan (0.17.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:28 +0000

python-castellan (0.17.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 08:03:40 +0000

python-castellan (0.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Nov 2017 00:57:12 +0000

python-castellan (0.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2017 23:07:03 +0200

=== debian/control ===
Source: python-castellan
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-babel,
 python-barbicanclient (>= 4.5.2),
 python-cryptography (>= 2.1),
 python-hacking (>= 0.10),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-stevedore (>= 1.20.0),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-castellan
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-castellan.git
Homepage: https://github.com/openstack/castellan

Package: python-castellan
Architecture: all
Depends:
 python-babel,
 python-barbicanclient (>= 4.5.2),
 python-cryptography (>= 2.1),
 python-keystoneauth1 (>= 3.4.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 2.19.2),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 2.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 2.x module.

Package: python-castellan-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: generic key manager interface for OpenStack - doc
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the documentation.

Package: python3-castellan
Architecture: all
Depends:
 python3-babel,
 python3-barbicanclient (>= 4.5.2),
 python3-cryptography (>= 2.1),
 python3-keystoneauth1 (>= 3.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 2.19.2),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-castellan-doc,
Description: generic key manager interface for OpenStack - Python 3.x
 The Castellan module provides a generic key manager interface so that
 OpenStack projects can use Barbican, but also have the flexibilty to choose an
 alternative Key Manager as needed. This is helpful during development, for
 example, where a simple implementation of the Key Manager Interface can be
 used instead of having to spin up a Barbican instance.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,9 @@
 	pkgos-dh_auto_test 'castellan\.tests\.unit.*'
 endif
 
-
 override_dh_sphinxdoc:
-	sphinx-build -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-castellan-doc/usr/share/doc/python-castellan-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
-
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
